Extending Qt Creator Manual | RunConfigurationCreationInfo

Extending Qt Creator Manual 4.8.1

# RunConfigurationCreationInfo Class

(ProjectExplorer::RunConfigurationCreationInfo)

- List of all members, including inherited members

## Public Functions

ProjectExplorer::RunConfiguration * | create(ProjectExplorer::Target *target) const

## Member Type Documentation

## Property Documentation

## Member Function Documentation

### ProjectExplorer::RunConfiguration *RunConfigurationCreationInfo::create(ProjectExplorer::Target *target) const

Adds a list of device types for which this RunConfigurationFactory can create RunConfigurations.

If this function is never called for a RunConfiguarionFactory, the factory will create RunConfigurations for all device types.

## Member Variable Documentation

## Related Non-Members

## Macro Documentation